Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mockito
Interface BDDMockito.BDDStubber

All Known Implementing Classes:
  BDDMockito.BDDStubberImpl

Enclosing class:
  BDDMockito

    public static interface BDDMockito.BDDStubber

See original `Stubber`

Since:
  1.8.0

Method Summary
`
`<T> T`
` | `given(T mock)` See original `Stubber.when(Object)`
`BDDMockito.BDDStubber` | `willAnswer(Answer answer)` See original `Stubber.doAnswer(Answer)`
`BDDMockito.BDDStubber` | `willCallRealMethod()` See original `Stubber.doCallRealMethod()`
`BDDMockito.BDDStubber` | `willNothing()` See original `Stubber.doNothing()`
`BDDMockito.BDDStubber` | `willReturn(java.lang.Object toBeReturned)` See original `Stubber.doReturn(Object)`
`BDDMockito.BDDStubber` | `willThrow(java.lang.Class<? extends java.lang.Throwable> toBeThrown)` See original `Stubber.doThrow(Class)`
`BDDMockito.BDDStubber` | `willThrow(java.lang.Throwable toBeThrown)` See original `Stubber.doThrow(Throwable)`

Method Detail

### willAnswer

    BDDMockito.BDDStubber willAnswer(Answer answer)

  See original `Stubber.doAnswer(Answer)`

  Since:
    1.8.0

### willNothing

    BDDMockito.BDDStubber willNothing()

  See original `Stubber.doNothing()`

  Since:
    1.8.0

### willReturn

    BDDMockito.BDDStubber willReturn(java.lang.Object toBeReturned)

  See original `Stubber.doReturn(Object)`

  Since:
    1.8.0

### willThrow

    BDDMockito.BDDStubber willThrow(java.lang.Throwable toBeThrown)

  See original `Stubber.doThrow(Throwable)`

  Since:
    1.8.0

### willThrow

    BDDMockito.BDDStubber willThrow(java.lang.Class<? extends java.lang.Throwable> toBeThrown)

  See original `Stubber.doThrow(Class)`

  Since:
    1.9.0

### willCallRealMethod

    BDDMockito.BDDStubber willCallRealMethod()

  See original `Stubber.doCallRealMethod()`

  Since:
    1.9.0

### given

    <T> T given(T mock)

  See original `Stubber.when(Object)`

  Since:
    1.8.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD